
/*

 * Copyright (c) 2015 ARM Limited. All rights reserved.

 * SPDX-License-Identifier: Apache-2.0

 * Licensed under the Apache License, Version 2.0 (the License); you may

 * not use this file except in compliance with the License.

 * You may obtain a copy of the License at

 *

 * http://www.apache.org/licenses/LICENSE-2.0

 *

 * Unless required by applicable law or agreed to in writing, software

 * distributed under the License is distributed on an AS IS BASIS, WITHOUT

 * WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.

 * See the License for the specific language governing permissions and

 * limitations under the License.

 */

#ifndef __SECURITY_H__

#define __SECURITY_H__

 

#include <inttypes.h>

 

#define MBED_DOMAIN "bc1bd3c6-546a-4bc9-b10c-8c8a45655f1d"

#define MBED_ENDPOINT_NAME "10e55cd4-4df5-46dd-8bca-bd6802748d58"

 

const uint8_t SERVER_CERT[] = "-----BEGIN CERTIFICATE-----\r\n"

"MIIBmDCCAT6gAwIBAgIEVUCA0jAKBggqhkjOPQQDAjBLMQswCQYDVQQGEwJGSTEN\r\n"

"MAsGA1UEBwwET3VsdTEMMAoGA1UECgwDQVJNMQwwCgYDVQQLDANJb1QxETAPBgNV\r\n"

"BAMMCEFSTSBtYmVkMB4XDTE1MDQyOTA2NTc0OFoXDTE4MDQyOTA2NTc0OFowSzEL\r\n"

"MAkGA1UEBhMCRkkxDTALBgNVBAcMBE91bHUxDDAKBgNVBAoMA0FSTTEMMAoGA1UE\r\n"

"CwwDSW9UMREwDwYDVQQDDAhBUk0gbWJlZDBZMBMGByqGSM49AgEGCCqGSM49AwEH\r\n"

"A0IABLuAyLSk0mA3awgFR5mw2RHth47tRUO44q/RdzFZnLsAsd18Esxd5LCpcT9w\r\n"

"0tvNfBv4xJxGw0wcYrPDDb8/rjujEDAOMAwGA1UdEwQFMAMBAf8wCgYIKoZIzj0E\r\n"

"AwIDSAAwRQIhAPAonEAkwixlJiyYRQQWpXtkMZax+VlEiS201BG0PpAzAiBh2RsD\r\n"

"NxLKWwf4O7D6JasGBYf9+ZLwl0iaRjTjytO+Kw==\r\n"

"-----END CERTIFICATE-----\r\n";

 

const uint8_t CERT[] = "-----BEGIN CERTIFICATE-----\r\n"

"MIIBzjCCAXOgAwIBAgIEGmcJsjAMBggqhkjOPQQDAgUAMDkxCzAJBgNVBAYTAkZ\r\n"

"JMQwwCgYDVQQKDANBUk0xHDAaBgNVBAMME21iZWQtY29ubmVjdG9yLTIwMTgwHh\r\n"

"cNMTcxMDE2MDUyNDEyWhcNMTgxMjMxMDYwMDAwWjCBoTFSMFAGA1UEAxNJYmMxY\r\n"

"mQzYzYtNTQ2YS00YmM5LWIxMGMtOGM4YTQ1NjU1ZjFkLzEwZTU1Y2Q0LTRkZjUt\r\n"

"NDZkZC04YmNhLWJkNjgwMjc0OGQ1ODEMMAoGA1UECxMDQVJNMRIwEAYDVQQKEwl\r\n"

"tYmVkIHVzZXIxDTALBgNVBAcTBE91bHUxDTALBgNVBAgTBE91bHUxCzAJBgNVBA\r\n"

"YTAkZJMFkwEwYHKoZIzj0CAQYIKoZIzj0DAQcDQgAEUMsnV5AmzDItxTrrUxvT6\r\n"

"CAI2xECEdVNIKRSI+/rJtFz+iOO1v49XjrBEzGUEn9uPRYAxKlhCxM1K9hXGlmk\r\n"

"mTAMBggqhkjOPQQDAgUAA0cAMEQCICt2uEzBVDncS9ekbvhSQLRkvwEuhwWGIxn\r\n"

"j0fL6L1izAiBLkBDLZFFO35hxOMH1eBhyKjop4qXxUcy26GsBV3eKJw==\r\n"

"-----END CERTIFICATE-----\r\n";

 

const uint8_t KEY[] = "-----BEGIN PRIVATE KEY-----\r\n"

"MIGHAgEAMBMGByqGSM49AgEGCCqGSM49AwEHBG0wawIBAQQgi0o1gxvL4woZyPy5\r\n"

"aMhP+TaXTLuB+YuH41EJSD8oPpahRANCAARQyydXkCbMMi3FOutTG9PoIAjbEQIR\r\n"

"1U0gpFIj7+sm0XP6I47W/j1eOsETMZQSf249FgDEqWELEzUr2FcaWaSZ\r\n"

"-----END PRIVATE KEY-----\r\n";

 

#endif //__SECURITY_H__

